Create a Deploy

Create a new Deploy. A Deploy represents an intent to deploy new DAG code to an Astro Deployment.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

organizationIdstringRequired
The ID of the Organization in which to create the Deployment.
deploymentIdstringRequired
The Deployment's ID.

Request

This endpoint expects an object.
typeenumRequired
The type of deploy.
Allowed values:
bundleMountPathstringOptional
The path where Astro mounts the bundle on the Airflow component pods. Required if deploy type is BUNDLE.
bundleTypestringOptional
The type of bundle deployed. Required if deploy type is BUNDLE.
descriptionstringOptional<=500 characters
The deploy's description.
gitobjectOptional

Response

OK
createdAtdatetime

The time when the deploy was created in UTC, formatted as YYYY-MM-DDTHH:MM:SSZ.

deploymentIdstring
The Deployment's ID.
idstring
The deploy's ID.
imageRepositorystring
The URL of the deploy's image repository.
imageTagstring
The deploy's image tag. Appears only if specified in the most recent deploy.
isDagDeployEnabledboolean
Whether the deploy was triggered on a Deployment with DAG deploys enabled.
statusenum
The status of the deploy.
typeenum
The type of deploy.
airflowVersionstring
The deploy's Airflow version.
astroRuntimeVersionstring
The deploy's Astro Runtime version.
bundleMountPathstring
The path where Astro mounts the bundle on the Airflow component pods.
bundleUploadUrlstring
The URL where the deploy uploads the bundle. Appears only if DAG deploys are enabled on the Deployment and deploy type is BUNDLE.
bundleslist of objects
The bundles included in a specific Deployment.
createdBySubjectobject
dagTarballVersionstring
The deploy's DAG tarball version, also known as the Bundle Version in the Astro UI.
dagsUploadUrlstring
The deploy's upload URL to upload DAG bundles. Appears only if dag deploys are enabled on the Deployment.
descriptionstring
The deploy's description.
gitobject
rollbackFromIdstring
The ID of the deploy that you completed a rollback on. Appears only if a rollback has been performed.
updatedAtdatetime

The time when the deploy was last updated in UTC, formatted as YYYY-MM-DDTHH:MM:SSZ.

updatedBySubjectobject

Errors

400
Create Deploy Body Bad Request Error
401
Create Deploy Body Unauthorized Error
403
Create Deploy Body Forbidden Error
404
Create Deploy Body Not Found Error
500
Create Deploy Body Internal Server Error